org.apache.cassandra.db

## Class DeletionTime

- java.lang.Object
- - org.apache.cassandra.db.DeletionTime

- All Implemented Interfaces:
    java.lang.Comparable<DeletionTime>

      public class DeletionTime
      extends java.lang.Object
      implements java.lang.Comparable<DeletionTime>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static DeletionTime` | `LIVE`
    `int` | `localDeletionTime`
    `long` | `markedForDeleteAt`
    `static ISerializer<DeletionTime>` | `serializer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DeletionTime(long markedForDeleteAt, int localDeletionTime)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(DeletionTime dt)`
    `boolean` | `equals(java.lang.Object o)`
    `int` | `hashCode()`
    `boolean` | `isDeleted(IColumn column)`
    `boolean` | `isGcAble(int gcBefore)`
    `long` | `memorySize()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### LIVE

          public static final DeletionTime LIVE

    - #### markedForDeleteAt

          public final long markedForDeleteAt

    - #### localDeletionTime

          public final int localDeletionTime

    - #### serializer

          public static final ISerializer<DeletionTime> serializer

  - ### Constructor Detail

    - #### DeletionTime

          public DeletionTime(long markedForDeleteAt,
                      int localDeletionTime)

  - ### Method Detail

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public final int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(DeletionTime dt)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<DeletionTime>`

    - #### isGcAble

          public boolean isGcAble(int gcBefore)

    - #### isDeleted

          public boolean isDeleted(IColumn column)

    - #### memorySize

          public long memorySize()

Copyright © 2014 The Apache Software Foundation